MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001503XdebugRemote Debuggingpublic2017-12-21 00:332018-01-22 18:21
Reporterv1nce 
Assigned Toderick 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version6.9 (Final)
Product Version 
Target Version2.6.0Fixed in Version2.6.0rc1 
Summary0001503: Undefined Property error on CLI when inspecting private property of extended class.
DescriptionWhen inspecting a private property on a parent class, an internal error is reported on the CLI, though the inspection still works.

Produced using xdebug 2.6.0dev on Php 7.2.0 (CentOs) with PhpStorm 2017.3.1 (Windows 10)
Steps To ReproduceSee attached file.

1. Add a Breakpoint on $x
2. Run php test.php
3. inspect $b
4. inspect $b->data2
5. inspect $b->*A*data1

Error is produced in step 5. Step 4 is optional.

Observed outcome:

 $ php test.php
PHP Notice: Undefined property: B::$*A*data1 in /var/www/tms/test.php on line 27
PHP Stack trace:
PHP 1. {main}() /var/www/tms/test.php:0

Notice: Undefined property: B::$*A*data1 in /var/www/tms/test.php on line 27

Call Stack:
    0.0069 388184 1. {main}() /var/www/tms/test.php:0
Additional InformationReproduced while trying to further diagnose issue 0001335 (which is also occurring for me with this arrangement)

Xdebug Version: 2.6(dev) 912eaeb8338d2945b6a424a1962e18fab854105b

PHP:
PHP 7.2.0 (cli) (built: Nov 28 2017 20:38:49) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2017 Zend Technologies
    with Zend OPcache v7.2.0, Copyright (c) 1999-2017, by Zend Technologies
    with Xdebug v2.6.0dev, Copyright (c) 2002-2017, by Derick Rethans

Note it says "v2.6.0dev" only because I customised the version string to ensure it was actually using the compiled version, rather than the most recent "v.2.6.0alpha1" pre-compiled module.

IDE:
PhpStorm 2017.3.1
Build #PS-173.3942.32, built on December 13, 2017
Subscription is active until April 18, 2018
JRE: 1.8.0_152-release-1024-b8 amd64
JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o
Windows 10 10.0
TagsNo tags attached.
Operating System
PHP Version7.2.0-7.2.4
Attached Filestar file icon xdebug.tar [^] (17,408 bytes) 2017-12-21 00:33

- Relationships

-  Notes
(0004538)
derick (administrator)
2018-01-01 20:52

I have seen this issue, but will need to investigate.
(0004562)
derick (administrator)
2018-01-16 23:22

I believe this is fixed in this commit (https://github.com/xdebug/xdebug/commit/307009a46 [^]) on this line: https://github.com/xdebug/xdebug/commit/307009a46#diff-4cce37dc9c7b364c03baa7538ac08798L406 [^] — could you please try the latest from github to see whether *this* issue is resolved for you too?
(0004569)
derick (administrator)
2018-01-22 12:45

I believe this is fixed, and as there was no feedback provided, I am closing this ticket.

- Issue History
Date Modified Username Field Change
2017-12-21 00:33 v1nce New Issue
2017-12-21 00:33 v1nce File Added: xdebug.tar
2017-12-29 23:40 derick Target Version => 2.6.0
2018-01-01 20:52 derick Note Added: 0004538
2018-01-01 20:52 derick Assigned To => derick
2018-01-01 20:52 derick Status new => acknowledged
2018-01-16 23:22 derick Note Added: 0004562
2018-01-16 23:22 derick Status acknowledged => feedback
2018-01-22 12:45 derick Note Added: 0004569
2018-01-22 12:45 derick Status feedback => closed
2018-01-22 12:45 derick Resolution open => fixed
2018-01-22 12:45 derick Fixed in Version => 2.6.0
2018-01-22 18:21 derick Fixed in Version 2.6.0 => 2.6.0rc1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker